# Uses of Class
org.apache.avro.Resolver.Action

Packages that use Resolver.Action
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Resolver.Action in org.apache.avro

Subclasses of Resolver.Action in org.apache.avro
Modifier and Type
Class
Description
`static class`
`Resolver.Container`
Used for array and map schemas: the public instance variable `elementAction` contains the resolving action needed for the element type of an array or value top of a map.
`static class`
`Resolver.DoNothing`
In this case, there's nothing to be done for resolution: the two schemas are effectively the same.
`static class`
`Resolver.EnumAdjust`
Contains information needed to resolve enumerations.
`static class`
`Resolver.ErrorAction`
In this case there is an error.
`static class`
`Resolver.Promote`
In this case, the writer's type needs to be promoted to the reader's.
`static class`
`Resolver.ReaderUnion`
In this case, the reader is a union and the writer is not.
`static class`
`Resolver.RecordAdjust`
Instructions for resolving two record schemas.
`static class`
`Resolver.Skip`
This only appears inside `Resolver.RecordAdjust.fieldActions`, i.e., the actions for adjusting the fields of a record.
`static class`
`Resolver.WriterUnion`
In this case, the writer was a union.
Fields in org.apache.avro declared as Resolver.Action
Modifier and Type
Field
Description
`final Resolver.Action[]`
Resolver.WriterUnion.`actions`
`final Resolver.Action`
Resolver.ReaderUnion.`actualAction`
`final Resolver.Action`
Resolver.Container.`elementAction`
`final Resolver.Action[]`
Resolver.RecordAdjust.`fieldActions`
An action for each field of the writer.
Methods in org.apache.avro that return Resolver.Action
Modifier and Type
Method
Description
`static Resolver.Action`
Resolver.EnumAdjust.`resolve(Schema w, Schema r, GenericData d)`
If writer and reader don't have same name, a `Resolver.ErrorAction.ErrorType.NAMES_DONT_MATCH` is returned, otherwise an appropriate `Resolver.EnumAdjust` is.
`static Resolver.Action`
Resolver.Promote.`resolve(Schema w, Schema r, GenericData d)`
Return a promotion.
`static Resolver.Action`
Resolver.ReaderUnion.`resolve(Schema w, Schema r, GenericData d, Map<Schema.SeenPair,Resolver.Action> seen)`
Returns a `Resolver.ReaderUnion` action for resolving `w` and `r`, or an `Resolver.ErrorAction` if there is no branch in the reader that matches the writer.
`static Resolver.Action`
Resolver.`resolve(Schema writer, Schema reader)`
Uses `GenericData.get()` for the `data` param.
`static Resolver.Action`
Resolver.`resolve(Schema writer, Schema reader, GenericData data)`
Returns a `Resolver.Action` tree for resolving the writer schema `writer` and the reader schema `reader`.
`static Resolver.Action`
Resolver.WriterUnion.`resolve(Schema writeSchema, Schema readSchema, GenericData data, Map<Schema.SeenPair,Resolver.Action> seen)`
Method parameters in org.apache.avro with type arguments of type Resolver.Action
Modifier and Type
Method
Description
`static Resolver.Action`
Resolver.ReaderUnion.`resolve(Schema w, Schema r, GenericData d, Map<Schema.SeenPair,Resolver.Action> seen)`
Returns a `Resolver.ReaderUnion` action for resolving `w` and `r`, or an `Resolver.ErrorAction` if there is no branch in the reader that matches the writer.
`static Resolver.Action`
Resolver.WriterUnion.`resolve(Schema writeSchema, Schema readSchema, GenericData data, Map<Schema.SeenPair,Resolver.Action> seen)`
Constructors in org.apache.avro with parameters of type Resolver.Action
Modifier
Constructor
Description
``
`Container(Schema w, Schema r, GenericData d, Resolver.Action e)`
``
`ReaderUnion(Schema w, Schema r, GenericData d, int firstMatch, Resolver.Action actual)`